﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NumericXAxis
{
    public class DataPoitCollection : ObservableCollection<DataPoint>
    {
        public DataPoitCollection()
        {
            int cnt = 4000;

            var rnd = new Random(0);

            for (int x = 0; x < cnt; x++)
            {
                double f = (double)rnd.Next(0, 10) / (double)100.0;

                double y = Math.Sin(x / (0.25 * cnt) + f);

                this.Add(new DataPoint() { X = x, Y = y });
            }
        }

    }

    public class DataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
    }

}
